## nvidia-cuda-toolkit 6.0.37

=== debian/changelog ===
nvidia-cuda-toolkit (6.0.37-5) unstable; urgency=medium

  * nvidia-opencl-dev: Bump Breaks/Replaces on nvidia-libopencl1 from
    (<< 304.88-7~) to (<< 305~) to cover all versions that could end up in
    wheezy. New nvidia-graphics-drivers upstream releases from the 304.xx
    legacy series fixing security bugs have been uploaded to stable
    previously. The package in wheezy (current version: 304.117-1) still
    contains libOpenCL.so while the package in sid stopped shipping this
    symbolic link in 304.88-7.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 21 Nov 2014 18:53:52 +0100

nvidia-cuda-toolkit (6.0.37-4) unstable; urgency=medium

  * libnvblas6.0 is only available on amd64. 
  * nvidia-cuda-dev: Add Recommends: libnvcuvid1.
  * nvidia-cuda-dev: Remove some header file workaround symlinks.
  * Update documentation regarding downloading, installing and building the
    CUDA Code Samples.
  * Update library package descriptions from cuda-libraries(7).

 -- Andreas Beckmann <anbe@debian.org>  Sun, 12 Oct 2014 21:47:11 +0200

nvidia-cuda-toolkit (6.0.37-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Oct 2014 09:27:22 +0200

nvidia-cuda-toolkit (6.0.37-2) experimental; urgency=medium

  [ Graham Inggs ]
  * Add missing Breaks/Replaces on libcuinj{32,64}-5.5.  (Closes: #763177)

  [ Andreas Beckmann ]
  * Add wrapper script for nvprof due to its insane library search behavior.
  * Add compat symlinks for libcuinj{32,64}.so.6.0 to the real nvprof's
    bindir.  (Closes: #761363)
  * nvidia-cuda-doc: Remove more tracking scripts.
  * Ship the new upstream manpages.
  * Fix typos, hyphenation, and sections in the manpages.
  * Implement minimal quilt based patch system that is activated after
    unpacking the .run files.
  * libnvblas6.0: New package for the NVBLAS runtime library.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 30 Sep 2014 16:23:39 +0200

nvidia-cuda-toolkit (6.0.37-1) experimental; urgency=medium

  * New upstream release 6.0 (April 2014).  (Closes: #751522)
  * Upload to experimental.
  * debian/copyright: Synchronize with updated EULA.txt.
  * SOVERSION bump: 5.5 => 6.0, rename all library packages.
  * Update symbols control files.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 08 Sep 2014 14:49:21 +0200

nvidia-cuda-toolkit (5.5.22-6) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Move libcuinj{32,64}-5.5 dependency from nvidia-visual-profiler to
    nvidia-profiler.
  * Move libcuinj{32,64}.so back to nvidia-cuda-dev, nvprof now dlopen()s the
    proper soname.  (Closes: #763177)
  * nvidia-cuda-dev: Upgrade libcuda.so dependency from Recommends to Depends.
  * nvidia-cuda-doc: Remove tracking scripts and images.
  * Update lintian overrides.

  [ Graham Inggs]
  * New package descriptions to satisfy lintian description-is-pkg-name.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 28 Sep 2014 18:31:12 +0200

nvidia-cuda-toolkit (5.5.22-5) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Add Graham Inggs to Uploaders.

  [ Graham Inggs ]
  * Do not prevent the use of GCC 4.9.  (Closes: #757961)
  * Add missing Breaks/Replaces to nvidia-opencl-dev for a clean takeover of
    the libOpenCL.so symlink from {amd,nvidia,ocl-icd}-libopencl1.
    (Closes: #760554)

 -- Graham Inggs <graham@nerve.org.za>  Mon, 08 Sep 2014 17:00:27 +0200

nvidia-cuda-toolkit (5.5.22-4) unstable; urgency=low

  * Bump the alternate virtual libcuda dependency to libcuda-5.5-1.
  * Remove alternate (Build-)Depends on nvidia-current.  (Closes: #745149)
  * Add libopencl-1.1-1 as alternate virtual libopencl1 dependency.
  * Update lintian overrides.
  * Remove switch for non-multiarch builds.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 25 May 2014 01:27:03 +0200
