=== debian/control ===
Source: nvidia-cuda-toolkit
Section: non-free/libs
Priority: extra
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Russ Allbery <rra@debian.org>,
 Graham Inggs <graham@nerve.org.za>,
Build-Depends:
 debhelper (>= 9),
 quilt,
 libcuda1 | libcuda-6.0-1
Standards-Version: 3.9.6
Homepage: http://www.nvidia.com/CUDA
Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-cuda-toolkit/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-cuda-toolkit/
XS-Autobuild: yes

Package: nvidia-cuda-toolkit
Section: non-free/devel
Architecture: i386 amd64
Depends:
 nvidia-profiler (= ${binary:Version}),
 nvidia-cuda-dev (= ${binary:Version}),
 nvidia-opencl-dev (= ${binary:Version}) | opencl-dev,
 gcc,
 g++,
 ${shlibs:Depends}, ${misc:Depends},
Recommends:
 nvidia-cuda-doc (= ${source:Version}),
 nvidia-cuda-gdb (= ${binary:Version}),
 nvidia-visual-profiler (= ${binary:Version}),
Suggests:
 libcupti-dev,
Description: NVIDIA CUDA development toolkit
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the nvcc compiler etc.

Package: nvidia-cuda-doc
Section: non-free/doc
Architecture: all
Depends: ${misc:Depends}
Description: NVIDIA CUDA and OpenCL documentation
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package contains the developer documentation.

Package: nvidia-cuda-gdb
Section: non-free/devel
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version})
Conflicts: nvidia-cuda-debugger
Replaces: nvidia-cuda-debugger
Description: NVIDIA CUDA Debugger (GDB)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the cuda-gdb debugger.

Package: nvidia-profiler
Section: non-free/devel
Architecture: i386 amd64
Depends:
 libcuinj32-${cuda:SoVersion} [i386],
 libcuinj64-${cuda:SoVersion} [amd64],
 ${shlibs:Depends}, ${misc:Depends}
Breaks: nvidia-cuda-toolkit (<< 5.0.35-3)
Replaces: nvidia-cuda-toolkit (<< 5.0.35-3)
Description: NVIDIA Profiler for CUDA and OpenCL
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package contains the nvprof profiler.

Package: nvidia-visual-profiler
Section: non-free/devel
Architecture: i386 amd64
Depends:
# eclipse-platform,
# eclipse-gef,
 default-jre | java6-runtime,
 libgtk2.0-0,
 nvidia-profiler (= ${binary:Version}),
 ${perl:Depends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version}),
Conflicts:
 nvidia-cuda-profiler,
 nvidia-opencl-profiler,
 nvidia-compute-profiler,
Replaces:
 nvidia-cuda-profiler,
 nvidia-opencl-profiler,
 nvidia-compute-profiler,
Homepage: http://developer.nvidia.com/nvidia-visual-profiler
Description: NVIDIA Visual Profiler for CUDA and OpenCL
 The NVIDIA Visual Profiler is a cross-platform performance profiling tool
 that delivers developers vital feedback for optimizing CUDA C/C++ and OpenCL
 applications.

Package: nvidia-nsight
Section: non-free/devel
Architecture: i386 amd64
Depends:
 default-jre | java6-runtime,
 libgtk2.0-0,
 ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version}),
Homepage: http://developer.nvidia.com/cuda/nsight-eclipse-edition
Description: NVIDIA Nsight Eclipse Edition
 NVIDIA Nsight Eclipse Edition is a full-featured IDE powered by the Eclipse
 platform that provides an all-in-one integrated environment to edit, build,
 debug and profile CUDA-C applications.
 Nsight Eclipse Edition supports a rich set of commercial and free plugins.

Package: nvidia-cuda-dev
Section: non-free/libdevel
Architecture: i386 amd64
Depends:
 libcudart${cuda:SoVersion} (= ${binary:Version}),
 libcublas${cuda:SoVersion} (= ${binary:Version}),
 libnvblas${cuda:SoVersion} (= ${binary:Version}) [amd64],
 libcufft${cuda:SoVersion} (= ${binary:Version}),
 libcufftw${cuda:SoVersion} (= ${binary:Version}),
 libcusparse${cuda:SoVersion} (= ${binary:Version}),
 libcurand${cuda:SoVersion} (= ${binary:Version}),
 libnppc${cuda:SoVersion} (= ${binary:Version}),
 libnppi${cuda:SoVersion} (= ${binary:Version}),
 libnpps${cuda:SoVersion} (= ${binary:Version}),
 libcuinj32-${cuda:SoVersion} (= ${binary:Version}) [i386],
 libcuinj64-${cuda:SoVersion} (= ${binary:Version}) [amd64],
 libnvtoolsext1 (= ${binary:Version}),
 libnvvm2 (= ${binary:Version}),
 libthrust-dev,
 ${package:libcuda1},
 ${misc:Depends}
Recommends:
 libgl1-mesa-dev | libgl-dev,
 libvdpau-dev,
 libnvcuvid1,
Breaks:
 libcuda1 (<< ${nvidia:MinVersion}),
 libcuinj32-5.0 (<< 5.5) [i386],
 libcuinj32-5.5 (<< 5.5.22-6~) [i386],
 libcuinj32-6.0 (<< 6.0.37-2~) [i386],
 libcuinj64-5.0 (<< 5.5) [amd64],
 libcuinj64-5.5 (<< 5.5.22-6~) [amd64],
 libcuinj64-6.0 (<< 6.0.37-2~) [amd64],
Replaces:
 libcuinj32-5.0 (<< 5.5) [i386],
 libcuinj32-5.5 (<< 5.5.22-6~) [i386],
 libcuinj32-6.0 (<< 6.0.37-2~) [i386],
 libcuinj64-5.0 (<< 5.5) [amd64],
 libcuinj64-5.5 (<< 5.5.22-6~) [amd64],
 libcuinj64-6.0 (<< 6.0.37-2~) [amd64],
Description: NVIDIA CUDA development files
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the development files: headers and libraries.

Package: nvidia-opencl-dev
Section: non-free/libdevel
Architecture: i386 amd64
Multi-Arch: same
Depends:
 ${package:nvidia-libopencl1},
 opencl-headers (>= 1.1),
 ${misc:Depends}
Recommends:
 libgl1-mesa-dev | libgl-dev,
Provides:
 opencl-dev,
Conflicts:
 opencl-dev,
Breaks:
 nvidia-libopencl1 (<< 305~),
 amd-libopencl1 (<< 1:13.4-4~),
 ocl-icd-libopencl1 (<< 2.1.3-5~),
Replaces:
 opencl-dev,
 nvidia-libopencl1 (<< 305~),
 amd-libopencl1 (<< 1:13.4-4~),
 ocl-icd-libopencl1 (<< 2.1.3-5~),
Description: NVIDIA OpenCL development files
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This metapackage provides the development files: headers and libraries.

Package: libcudart6.0
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${package:libcuda1}
Description: NVIDIA CUDA Runtime Library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA Runtime API library for high-level CUDA
 programming, on top of the CUDA Driver API.

Package: libcublas6.0
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA cuBLAS Library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 The cuBLAS library is an implementation of BLAS (Basic Linear Algebra
 Subprograms) on top of the NVIDIA CUDA runtime. It allows the user to access
 the computational resources of NVIDIA Graphics Processing Unit (GPU), but
 does not auto-parallelize across multiple GPUs.
 .
 This package contains the cuBLAS runtime library.

Package: libnvblas6.0
Architecture: amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVBLAS runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 The NVBLAS Library is a GPU-accelerated Library that implements BLAS (Basic
 Linear Algebra Subprograms). It can accelerate most BLAS Level-3 routines by
 dynamically routing BLAS calls to one or more NVIDIA GPUs present in the
 system, when the characteristics of the call make it to speedup on a GPU. 

Package: libcufft6.0
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA cuFFT Library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 The FFT is a divide-and-conquer algorithm for efficiently computing discrete
 Fourier transforms of complex or real-valued data sets. It is one of the most
 important and widely used numerical algorithms in computational physics and
 general signal processing. The cuFFT library provides a simple interface for
 computing FFTs on an NVIDIA GPU, which allows users to quickly leverage the
 floating-point power and parallelism of the GPU in a highly optimized and
 tested FFT library.
 .
 This package contains the cuFFT runtime library.

Package: libcufftw6.0
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA cuFFTW Library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 The FFT is a divide-and-conquer algorithm for efficiently computing discrete
 Fourier transforms of complex or real-valued data sets. It is one of the most
 important and widely used numerical algorithms in computational physics and
 general signal processing. The cuFFT library provides a simple interface for
 computing FFTs on an NVIDIA GPU, which allows users to quickly leverage the
 floating-point power and parallelism of the GPU in a highly optimized and
 tested FFT library.
 .
 This package contains the cuFFTW runtime library.

Package: libcusparse6.0
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA cuSPARSE Library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 The cuSPARSE library contains a set of basic linear algebra subroutines used
 for handling sparse matrices. It is implemented on top of the NVIDIA CUDA
 runtime and is designed to be called from C and C++. The library routines can
 be classified into four categories:
  * Level 1: operations between a vector in sparse format and a vector in dense
 format
  * Level 2: operations between a matrix in sparse format and a vector in dense
 format
  * Level 3: operations between a matrix in sparse format and a set of vectors
 in dense format
  * Conversion: operations that allow conversion between different matrix
 formats
 .
 This package contains the cuSPARSE runtime library.

Package: libcurand6.0
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA cuRAND Library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 The cuRAND library provides facilities that focus on the simple and efficient
 generation of high-quality pseudorandom and quasirandom numbers.
