## nvidia-cuda-toolkit 6.5.14

=== debian/changelog ===
nvidia-cuda-toolkit (6.5.14-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Add B-D: libncurses5.  (Closes: #789090)
  * Update Lintian overrides.
  * Upload to unstable.

  [ Graham Inggs ]
  * Update my email address.
  * Re-enable the gcc/g++ wrappers, depend on gcc/g++ 4.9 | 4.8.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 30 Sep 2015 17:26:21 +0200

nvidia-cuda-toolkit (6.5.14-1) experimental; urgency=medium

  [ Graham Inggs ]
  * New upstream release 6.5 (August 2014).
  * SOVERSION bump: 6.0 => 6.5, rename all library packages and
    bump alternate virtual B-D to libcuda-6.5-1.
  * Update symbols control files.
  * Use SOVERSION substitution in nvidia-cuda-toolkit.manpages.
  * debian/copyright: Synchronize with updated EULA.txt.
  * Remove nvvp, nsight and various libs no longer shipped for i386.
  * Remove workaround to create symlinks for libnvvm.
  * Allow documentation packages to build on i386.
  * Refresh all postunpack patches.
  * Rebase postunpack patches against non-symlinked directory
    for compatibility with patch >= 2.7.3-1.
  * nvidia-profiler: Update compat symlinks as nvprof now looks for
    libcuinj{32,64}.so without the SOVERSION.
  * Update Lintian overrides.

  [ Andreas Beckmann ]
  * nvidia-opencl-dev: Recommends: nvidia-opencl-icd.
  * d/watch, get-orig-source: Include the arm64 .run installer.
  * Upload to experimental. 

 -- Andreas Beckmann <anbe@debian.org>  Wed, 25 Feb 2015 21:51:04 +0100
