=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Russ Allbery <rra@debian.org>,
- Graham Inggs <graham@nerve.org.za>,
+ Graham Inggs <ginggs@debian.org>,
 Build-Depends:
  debhelper (>= 9),
  quilt,
- libcuda1 | libcuda-6.0-1
+ libncurses5,
+ libcuda1 | libcuda-6.5-1
 Standards-Version: 3.9.6
 Homepage: http://www.nvidia.com/CUDA
 Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-cuda-toolkit/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-cuda-toolkit/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-cuda-toolkit/
 XS-Autobuild: yes
 
 Package: nvidia-cuda-toolkit
@@ -23,8 +24,8 @@
  nvidia-profiler (= ${binary:Version}),
  nvidia-cuda-dev (= ${binary:Version}),
  nvidia-opencl-dev (= ${binary:Version}) | opencl-dev,
- gcc,
- g++,
+ gcc-4.9 | gcc-4.8,
+ g++-4.9 | g++-4.8,
  ${shlibs:Depends}, ${misc:Depends},
 Recommends:
  nvidia-cuda-doc (= ${source:Version}),
@@ -90,10 +91,8 @@
 
 Package: nvidia-visual-profiler
 Section: non-free/devel
-Architecture: i386 amd64
-Depends:
-# eclipse-platform,
-# eclipse-gef,
+Architecture: amd64
+Depends:
  default-jre | java6-runtime,
  libgtk2.0-0,
  nvidia-profiler (= ${binary:Version}),
@@ -116,7 +115,7 @@
 
 Package: nvidia-nsight
 Section: non-free/devel
-Architecture: i386 amd64
+Architecture: amd64
 Depends:
  default-jre | java6-runtime,
  libgtk2.0-0,
@@ -134,15 +133,15 @@
 Architecture: i386 amd64
 Depends:
  libcudart${cuda:SoVersion} (= ${binary:Version}),
- libcublas${cuda:SoVersion} (= ${binary:Version}),
+ libcublas${cuda:SoVersion} (= ${binary:Version}) [amd64],
  libnvblas${cuda:SoVersion} (= ${binary:Version}) [amd64],
- libcufft${cuda:SoVersion} (= ${binary:Version}),
- libcufftw${cuda:SoVersion} (= ${binary:Version}),
- libcusparse${cuda:SoVersion} (= ${binary:Version}),
- libcurand${cuda:SoVersion} (= ${binary:Version}),
- libnppc${cuda:SoVersion} (= ${binary:Version}),
- libnppi${cuda:SoVersion} (= ${binary:Version}),
- libnpps${cuda:SoVersion} (= ${binary:Version}),
+ libcufft${cuda:SoVersion} (= ${binary:Version}) [amd64],
+ libcufftw${cuda:SoVersion} (= ${binary:Version}) [amd64],
+ libcusparse${cuda:SoVersion} (= ${binary:Version}) [amd64],
+ libcurand${cuda:SoVersion} (= ${binary:Version}) [amd64],
+ libnppc${cuda:SoVersion} (= ${binary:Version}) [amd64],
+ libnppi${cuda:SoVersion} (= ${binary:Version}) [amd64],
+ libnpps${cuda:SoVersion} (= ${binary:Version}) [amd64],
  libcuinj32-${cuda:SoVersion} (= ${binary:Version}) [i386],
  libcuinj64-${cuda:SoVersion} (= ${binary:Version}) [amd64],
  libnvtoolsext1 (= ${binary:Version}),
@@ -186,6 +185,7 @@
  ${misc:Depends}
 Recommends:
  libgl1-mesa-dev | libgl-dev,
+ nvidia-opencl-icd,
 Provides:
  opencl-dev,
 Conflicts:
@@ -206,7 +206,7 @@
  .
  This metapackage provides the development files: headers and libraries.
 
-Package: libcudart6.0
+Package: libcudart6.5
 Architecture: i386 amd64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -221,8 +221,8 @@
  This package contains the CUDA Runtime API library for high-level CUDA
  programming, on top of the CUDA Driver API.
 
-Package: libcublas6.0
-Architecture: i386 amd64
+Package: libcublas6.5
+Architecture: amd64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -238,7 +238,7 @@
  .
  This package contains the cuBLAS runtime library.
 
-Package: libnvblas6.0
+Package: libnvblas6.5
 Architecture: amd64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -253,8 +253,8 @@
  dynamically routing BLAS calls to one or more NVIDIA GPUs present in the
  system, when the characteristics of the call make it to speedup on a GPU. 
 
-Package: libcufft6.0
-Architecture: i386 amd64
+Package: libcufft6.5
+Architecture: amd64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -273,8 +273,8 @@
  .
  This package contains the cuFFT runtime library.
 
-Package: libcufftw6.0
-Architecture: i386 amd64
+Package: libcufftw6.5
+Architecture: amd64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -293,8 +293,8 @@
  .
  This package contains the cuFFTW runtime library.
 
-Package: libcusparse6.0
-Architecture: i386 amd64
+Package: libcusparse6.5
+Architecture: amd64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -318,8 +318,8 @@
  .
  This package contains the cuSPARSE runtime library.
 
-Package: libcurand6.0
-Architecture: i386 amd64
+Package: libcurand6.5
+Architecture: amd64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -329,4 +329,3 @@
  general purpose computation.
  .
  The cuRAND library provides facilities that focus on the simple and efficient
- generation of high-quality pseudorandom and quasirandom numbers.
