=== debian/rules ===
--- 
+++ 
@@ -45,25 +45,23 @@
 unpack-stamp:
 	dh_testdir
 	# unpack
+	sh ${filename_amd64} --noexec --keep --target nvidia-cuda-amd64
+	QUILT_PATCHES=debian/patches QUILT_SERIES=series-postunpack quilt --quiltrc /dev/null push -a || test $$? = 2
 ifeq ($(DEB_HOST_ARCH),i386)
 	sh ${filename_i386} --noexec --keep --target nvidia-cuda-i386
-else
-	sh ${filename_amd64} --noexec --keep --target nvidia-cuda-amd64
+	# get some files from the amd64 installer needed to build documentation packages on i386
+	mv nvidia-cuda-amd64/doc nvidia-cuda-i386/
+	mv nvidia-cuda-amd64/src nvidia-cuda-i386/
+	mv nvidia-cuda-amd64/nvvm/libnvvm-samples nvidia-cuda-i386/nvvm
 endif
 	ln -s nvidia-cuda-$(DEB_HOST_ARCH) nvidia-cuda
 ifeq ($(DEB_HOST_ARCH),amd64)
 	# fixup lib{,32,64} directory layout
 	mv nvidia-cuda-amd64/lib nvidia-cuda-amd64/lib32
 	mv nvidia-cuda-amd64/lib64 nvidia-cuda-amd64/lib
-	mv nvidia-cuda-amd64/extras/CUPTI/lib nvidia-cuda-amd64/extras/CUPTI/lib32
 	mv nvidia-cuda-amd64/extras/CUPTI/lib64 nvidia-cuda-amd64/extras/CUPTI/lib
-	mv nvidia-cuda-amd64/nvvm/lib nvidia-cuda-amd64/nvvm/lib32
 	mv nvidia-cuda-amd64/nvvm/lib64 nvidia-cuda-amd64/nvvm/lib
 endif
-	# shipped as files/hardlinks instead of symlinks
-	ln -sf libnvvm.so.2.0.0 nvidia-cuda/nvvm/lib/libnvvm.so.2
-	ln -sf libnvvm.so.2 nvidia-cuda/nvvm/lib/libnvvm.so
-	QUILT_PATCHES=debian/patches QUILT_SERIES=series-postunpack quilt --quiltrc /dev/null push -a || test $$? = 2
 	touch $@
 
 # Reformat the EULA to the format needed for debian/copyright.
@@ -93,13 +91,15 @@
 override_dh_auto_install:
 	mkdir debian/tmp
 	cp -al nvidia-cuda-$(DEB_HOST_ARCH) debian/tmp/usr
+ifeq ($(DEB_HOST_ARCH),amd64)
 	chmod -x debian/tmp/usr/libnvvp/*.xpm
 	chmod -x debian/tmp/usr/libnsight/*.xpm
+	sed -i '/^-vm$$/ d; /^..\/jre\/bin\/java$$/ d' debian/tmp/usr/libnvvp/nvvp.ini debian/tmp/usr/libnsight/nsight.ini
+endif
 	chmod -x debian/tmp/usr/bin/crt/link.stub
 	chmod -x debian/tmp/usr/bin/crt/prelink.stub
 	chmod -x debian/tmp/usr/nvvm/include/*.h
 	chmod -x debian/tmp/usr/nvvm/libnvvm-samples/build.bat
-	sed -i '/^-vm$$/ d; /^..\/jre\/bin\/java$$/ d' debian/tmp/usr/libnvvp/nvvp.ini debian/tmp/usr/libnsight/nsight.ini
 	# do not prevent the use of GCC 4.9
 	sed -i 's/__GNUC_MINOR__ > 8/__GNUC_MINOR__ > 9/' debian/tmp/usr/include/host_config.h
 	# remove tracking scripts
@@ -176,7 +176,7 @@
 	mkdir get-orig-source
 	ln -v ../.cache/*$(CUDA_VERSION_TOOLKIT_FILENAME)*.run get-orig-source/ || true
 	uscan --no-symlink --download-current-version --destdir get-orig-source
-	test $$(ls get-orig-source/* | wc -l) = 2  # we need exactly 2 downloaded files
+	test $$(ls get-orig-source/* | wc -l) = 3  # we need exactly 3 downloaded files
 	@set -e -x ; \
 	    cd get-orig-source ; \
 	    newversion=$$(ls cuda*_*_linux_32.run | sed -e 's/.*_\([0-9.]*\)_linux.*\.run/\1/') ; \
@@ -192,8 +192,7 @@
 		rm -rf tmp ; \
 	    done ; \
 	    chmod 0755 nvidia-cuda-toolkit-$${newversion}.orig/* ; \
-	    tar cfvz ../nvidia-cuda-toolkit_$${newversion}.orig.tar.gz \
+	    XZ_OPT=-9 tar cfvJ ../nvidia-cuda-toolkit_$${newversion}.orig.tar.xz \
 		--owner=root --group=src \
 		nvidia-cuda-toolkit-$${newversion}.orig
 	rm -rf get-orig-source
-
